package com.ruoyi.common.pay.wx.domain;

import com.wechat.pay.java.service.transferbatch.model.TransferDetailInput;

import java.util.List;

/**
 * 可批量转账的接口
 * @author wjh
 * 2024/8/9
 */
public interface BatchTransferAble {

    /**
     * 转账总金额
     */
    Long transferTotalAmount();

    /**
     * 转账外部订单号
     */
    String transferOutBatchNo();

    /**
     * 转账名称
     */
    String transferBatchName();

    /**
     * 转账备注
     */
    String transferBatchRemark();


    /**
     * 转账明细
     */
    List<TransferDetailInput> transferDetailList();
}
